Subject: git-fetch fails if remote is detached HEAD

From: Andy Parkins <[email-masked]>
Date: Fri, 19 Jan 2007 11:44:32 +0000

Hello,

Running git-fetch from a remote repository that has a detached head 
fails with:

fatal: '/path/to/repository/.git': unable to chdir or not a git archive

A simple checkout at the remote end, and everything is fine again.

I can't quite see why fetch is interested in the remote HEAD at all?  
The only time that is ever needed is during a clone isn't it?

Andy
-- 
Dr Andrew Parkins, M Eng (Hons), AMIEE
[email-masked]